Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Ronald_Goettler
Beginner
151 Views

stdlib.h error with icc on Fedora 11 x86_64

I just installed icc/icpc 11.1 on my Fedora 11 x86_64 machine and get the following error:

/usr/include/stdlib.h(520): error: expected a declaration
// XXX There should be a macro to signal with C++ revision is used.

Searches turned up nothing of use, which makes me think I've got a rather unique problem and am unlikely to find help hear too, but thought I'd ask anyway. Any ideas?

thanks

0 Kudos
4 Replies
aazue
New Contributor I
151 Views

Hi

test:

LANG=C;
export LANG

LD_LIBRARY_PATH=/opt/intel/Compiler/11.1/064/lib/intel64;
export LD_LIBRARY_PATH

See also if you have not conflict an (path) /usr/local/include other repertory (headers)

See also yum if you can find packages others std lib (compat or multy or other)

I have an fedora 12 in a computer ,but i don't know if same package that 11

compat-libstdc++-296.i686

libstdc++.i686

libstdc++-devel.i686

libstdc++-docs.i686

Kind regards

Ronald_Goettler
Beginner
151 Views

the script that was calling icc was using some invalid options, I think.

it's now working (at least it compiled).

thanks.

aazue
New Contributor I
151 Views

Hi
I just install icc 64 and all working ok ( Fedora 12 (64) )
Just an small problem with script install....
./install.sh
Your system is protected with Security-enhanced Linux* (SELinux).
We currently support only "Permissive" mode, which is
not found on the system.
To rectify this issue, you may either disable dia by
- setting the line "SELINUX=disabled" in your /etc/sysconfig/selinux file
- adding "selinux=0" kernel argument in lilo.conf or grub.conf files
or make SELinux mode adjustment by
- setting the line "SELINUX=permissive" in your /etc/sysconfig/selinux file
or ask your system administrator to make SELinux mode adjustment.

?? I have SELinux disable default but i have add modification as given for install success ???
Require installed package: (not given as required in the install process)
compat-libstdc++-33-3.2.3-68.x86_64.rpm
for working.
Long-times i have not use Rh side but this distro give very very good work.
Just i encountered small problem with build some modules
errors: /lib/modules/2.6.31.5-127.fc12.x86_64/build (no files) ,

make: *** /lib/modules/2.6.31.5-127.fc12.x86_64/build: No such file or directory. Stop.

kernel sources and headers packages installed but same,
If you have practice this distro can you please give yum name kernel package are less ?.
Kind regards

aazue
New Contributor I
151 Views

Hi

For my last question.

If you have practice this distro can you please give yum name kernel package are less ?.

no necessary.


With the update last kernel 2.6.31.12-174.2.22.fc12.x86_64 (Fedora 12) the problem is solved,modules compilation work now well. Build directory source exist now.
Kind regards

Reply